VRSpace.org - Bug #109

DBTest failures in docker
02/24/2022 11:15 AM - Josip Almasi

Status: Closed Start date: 02/24/2022
Priority: Normal Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

[ERROR] Failures:

[ERROR] DBTest.testCountUsers:561 expected: <2> but was: <3>
[ERROR] DBTest.testWorlds:526 expected: <2> but was: <3>
[INFO]

[ERROR] Tests run: 85, Failures: 2, Errors: 0, Skipped: 2

History

#1 - 02/25/2022 02:52 PM - Nate Lager

Some additional details:
First yes, | reproduced this error in a container, but it was not a docker container, | am doing my tests on RHEL, and using podman. podman is of
course compatible with docker, and the builds should be the same, but i feel like its worth noting the difference.

Second, | had the same error on a RHEL 8.5 vm, building directly in the OS and not in a container. In the case of the VM i got the error when | tried to
build vrspace as an unprivileged user, instead of as root. Building as root, and then running as my user solved the problem. For whatever reason
building as root, the build and tests worked perfectly.

Containers, of course, are sort of a cross between privileged and unprivileged. Within the container you have root, but on the overall system you do
not. | do not know if this is related, but it may be. Running the build inside of the container produces the error. When building the container, i
suppose we could build vrspace on the host, and then copy it into the container when we build it. This could work around the problem. But it is still
odd that the build needs to occur as root. No?

#2 - 02/25/2022 04:43 PM - Josip Almasi

Absolutely, this doesn't make any sense.

On vrspace.org | build and run everything as vrspace user - of course.

In the container, I'd understand if something trows an exception and refuses to run, but | see no reason for these two tests to fail while others pass.
Silly question - is SELinux enabled?

And the other thing - looking through forum post again, it seems that you have at least two versions of java installed.

One is azul zulu 11, and it looks installed inside of container/vm, while the other one is likely openjdk that came with rhel.

Now, could it be possible that tests fail with one and pass with the other one?

Easiest way to check is
mvn -version

#3 - 02/25/2022 07:08 PM - Nate Lager

| realize that | ran all over the place in the forum post. What | am using to build now is java 11, from the RHEL repo, not the zulu build, or the javal7
rpm.

I may have another datapoint, but | am still troublehsooting. | wanted to change the application config, to include a vidu host, and i am rebuilding now,
as root, as | did earlier today, and the db test failed. | am re-running now to see if it was a fluke.

Yes SELinux is enabled and enforcing.

#4 - 02/25/2022 07:39 PM - Nate Lager

alright, i have no explanation for this, but.

When i built vrspace as root, i did it in root's home directory, just git cloned it, and then ran
JAVA_HOME-=/ust/lib/jvm/jre-11/ mvn clean install

in the newly cloned vrspace directory.

It built. Then | copied the whole directory to /opt/vrspace-r and chown -r'd it to the user | wanted to run it as. SO /opt/vrspace-r and all of its
sub-directories are now owned by my local user, "gangrif".

| then started vrspace with

/usr/lib/ivm/jre-11/bin/java -jar ./server/target/server-0.4.5-SNAPSHOT .jar
as my user, in /opt/vrspace-r, and it started up, and works.

Then i made some changes to appliation.properties, and tried to rebuild as root after doing so, in /opt/vrspace-r. Do i need to rebuild after changing
application.properties? i dont even know, but | did.

It failed, same db error about the user count returning 3 instead of 2.

| tried a few things, chowning it all back to root:root, didnt help. Then i went back to ./root/vrspace, copied in the same application.properties file, and
tried to rebuilt from there! It worked! No test failure!

| just tried it again now in /opt/vrspace-r with selinux in permissive mode, to see if it behaves any differently, same error.

#5 - 02/25/2022 09:11 PM - Josip Almasi

LOL this is insane :)
You know they say, write once, debug everywhere ;)

So /root and /opt are not on the same filesystem? | don't see how, but maybe...

To answer your question - you do need to rebuild after changing application.properties file. But you don't need to though, because you can override
every property or entire properties file in the command line with --spring.config.location=yourfile (that's alsoon the top of the file in comments).

Which properties did you change?

Re this maven test -Dtest= - sorry | forgot to mention you have to cd to server directory. It does work from project home dir also, but is too verbose.
| looked again at your forum post, and | see that

[gangrif@meta vrspace]$ JAVA_HOME-=/ustr/lib/jvm/jre-11/ mvn test -Dtest=DBTest#testWorlds

passed, but

[gangrif@meta vrspace]$ mvn test -Dtest=DBTest#testCountUsers

seems to have failed because it was executed with java 8. (ERROR Command was etc) Now, can you please do the following - just as you described
above, in both /opt and in /root:

JAVA_HOME=/ustr/lib/ivm/jre-11/ mvn test -Dtest=DBTest#testWorlds

In other news - it's Friday evening, yeah!

#6 - 02/26/2022 04:22 PM - Nate Lager

ok, i wanted to test a few things out. So I've done a bunch of re-builds in different ways, and here is a log of what | tried:

RHEL 8.5 vm, 1 cpu 4gb memory.
selinux enabled but permissive.

Original build is in /root/vrtest - builds in this directory have been working.

as root, in /root/testdir/

git clone https:/github.com/jalmasi/vrspace.git

cd vrspace

JAVA_HOME-=/ust/lib/ivm/jre-11/ mvn clean install

Failed?

Results here: https://nextcloud.undrground.org/index.php/s/EX8Y6aBbjo3KTgN

Maybe theres a maven cache?
rm -rf on /root/.m2

Re-running JAVA_HOME=/ust/lib/ivm/jre-11/ mvn clean install in /root/testdir/vrspace
Still failed, output here: https://nextcloud.undrground.org/index.php/s/SZ8dtrpAAJ6QrTM

re-trying build in /root/vrspace, see if it still works.
It does! Output here: https:/nextcloud.undrground.org/index.php/s/PxM9a9TSFTBtame

Duplicating the working /root/vrspace to /root/vrspacetest, using rsync (as its the most accurate way i know to duplicate a directory without losing
hidden files or permissions).
[root@meta ~]# rsync -aAvz vrspace/ vrspacetest

Then i ran the same install command in vrspacetest
JAVA_HOME-=/ust/lib/jvm/jre-11/ mvn clean install
failed!
output here: https:/nextcloud.undrground.org/index.php/s/TXT9rMY55T5igMG

ok, What?
for good measure, | tried a flat out mv /root/vrspace /root/vrspacefoo and ran the build agian.
Failed. I'm not even surprised anymore. output: https://nextcloud.undrground.org/index.php/s/gkl MYrdqcs42Q3X

deduction tells me that the ONLY obvious thing in common with the failed buids is that they are not in $SHOME/vrspace
This jives with failed containers, as I'm not even sure that SBHOME is set in a container, its certainly not common practice to place a source tree in
/root or /lhome/(user) in a container.. So we might be on to something here

Let's test that theory.
cloning a brand new source tree to /root/vrspace
That worked, and in case the output matters its here: https:/nextcloud.undrground.org/index.php/s/trBcAt329nel Y Gx

Now, let's try one more thing.

as my user, ill clone to $HOME, see what happens.

had to chown /tmp/spring.log since it was created by root, odd little problem but i think its unrelated to this issue.
same test error. | really thought | was on to something. So odd.
https://nextcloud.undrground.org/index.php/s/pZ3YK2KGgTxQ43k

#7 - 02/26/2022 04:33 PM - Nate Lager

now, the tests you asked for:

as root, in /root/vrspace

[root@meta vrspace]# JAVA_HOME=/ustr/lib/jvm/jre-11/ mvn test -Dtest=DBTest#testWorlds
[INFO] Scanning for projects...

[INFQO]
[INFO] Reactor Build Order:

[INFO]

[INFO] VRSpace parent file [pom]

[INFQ] server [jar]

[INFO] babylon [pom]

[INFO] content [iar]

[INFO] web liar]

[INFO]

[INFQ] --m--nmemmmnemmeneeenanas < org.vrspace:parent >-------------------------
[INFQ] Building VRSpace parent file 0.4.5-SNAPSHOT [1/5]
[INFO] [ pom]

[INFQO]

[INFQ] ----------mmmmmmmmmmeeae < OrQ.VISPACE:SEerVer >-------=-=--mnmmmmmmmmmne
[INFO] Building server 0.4.5-SNAPSHOT [2/5]
[INFQO] [jar]

[INFO]

[INFO] --- git-commit-id-plugin:4.0.5:revision (default) server ---
[INFO] dotGitDirectory /root/vrspace/.qgit

[INFQ] Collected git.branch with value master

[INFO] --always = true

[INFO] --dirty = dirty

HNEOJ-GCellected-git-remote-origin-urhwith-value-https:/github.com/jalmasi/vrspace.qgit
HNEO} Cellected-git-tags-with-value
HNEO}— git-commit-id-plugin:4.0.5:revision (get-the-git-infos) server ---
[INFO] dotGitDirectory /root/vrspace/.qgit

[INFQ] Collected git.branch with value master

[INFO] --always = true

[INFO] --dirty = -dirty

[INFO] --abbrev = 7

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]
[INFO] Collected git.commit.id.describe with value 5f2411f

[INFO] Collected git.commit.id.describe-short with value 5f2411f

[INFQO] Collected git.commit.id.full with value 5f2411f9f462439428699dbb977e6e65022c4c6a
[INFO] Collected git.commit.id.abbrev with value 5f2411f

[INFO] Collected git.dirty with value false

[INFO] Collected git.commit.message.full with value safe cloning

[INFO] Collected git.commit.message.short with value safe cloning
[INFO] Collected git.commit.time with value 2022-02-20T15:20:22-0500
[INFQ] Collected git.commit.author.time with value 2022-02-20T15:20:22-0500
[INFO] Collected git.commit.committer.time with value 2022-02-20T15:20:22-0500
[INFO] Collected git.remote.origin.url with value https:/github.com/jalmasi/vrspace.git
[INFO] Collected git.tags with value

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]
[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.name with value

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]
[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.commit.count with value

[INFQ] Collected git.total.commit.count with value 393

[INFO] Collected git.local.branch.ahead with value 0

[INFO] Collected git.local.branch.behind with value 0

[INFQ] Collected git.build.time with value 2022-02-26T10:24:38-0500
[INFO] Collected git.build.version with value 0.4.5-SNAPSHOT

[INFO] Collected git.build.host with value meta.undrground.org

[INFO] including property git.tags in results

[INFO] including property git.closest.tag.commit.count in results

[INFO] including property git.build.version in results

[INFO] including property git.commit.id.abbrev in results

[INFO] including property git.branch in results

[INFO] including property git.build.host in results

[INFQ] including property git.commit.id.describe-short in results

[INFO] including property git.total.commit.count in results

[INFO] including property git.commit.id.describe in results

[INFO] including property git.commit.message.short in results
[INFO] including property git.commit.committer.time in results

[INFO] including property git.commit.id.full in results

[INFQ] including property git.closest.tag.name in results

[INFO] including property git.local.branch.ahead in results

[INFO] including property git.commit.time in results

[INFQ] including property git.commit.author.time in results

[INFO] including property git.local.branch.behind in results

[INFO] including property git.build.time in results

[INFQ] including property git.dirty in results

[INFO] including property git.commit.message.full in results

[INFQ] including property git.remote.origin.url in results

[INFO] Reading existing properties file [/root/vrspace/server/target/classes/git.properties] (for module server)...
[INFO] Properties file [/root/vrspace/server/target/classes/git.properties] is up-to-date (for module server)...
[INFQO]

[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) server ---

[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 1 resource

[INFO] Copying 5 resources

[INFQO]

[INFQ] --- maven-compiler-plugin:3.8.1:compile (default-compile) server ---

[INFO] Nothing to compile - all classes are up to date

[INFQO]

[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) server ---

[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 2 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.1:testCompile (default-testCompile) server ---

[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] --- maven-surefire-plugin:2.22.2:test (default-test) server ---

[INFQO]
[INFO]
[INFO] TESTS
[INFQO]
[INFO] Running org.vrspace.server.core.DBTest

SLF4J: Class path contains multiple SLF4J bindings.

SLF4J: Found binding in
[jar:file:/root/.m2/repository/ch/qos/logback/logback-classic/1.2.6/logback-classic-1.2.6.jar!/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: Found binding in [jar:file:/root/.m2/repository/org/slf4j/slf4j-nop/1.7.32/slf4j-nop-1.7.32.jar!/org/slIf4j/impl/StaticLoggerBinder.class]
SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.

SLF4J: Actual binding is of type [ch.qos.logback.classic.util. ContextSelectorStaticBinder]
:: Spring Boot :: (v2.5.6)
2022-02-26 10:24:55.204 INFO 29829 --- | main] org.vrspace.server.core.DBTest : Starting DBTest using Java 11.0.14 on
meta.undrground.org with PID 29829 (started by root in /root/vrspace/server)
2022-02-26 10:24:55.211 DEBUG 29829 --- main] org.vrspace.server.core.DBTest : Running with Spring Boot v2.5.6, Spring v5.3.12
2022-02-26 10:24:55.262 INFO 29829 --- | main] org.vrspace.server.core.DBTest : No active profile set, falling back to default profiles:
default
2022-02-26 10:25:10.050 INFO 29829 --- [ main] org.neo4;j.driver.Driver : Direct driver instance 266196910 created for server
address localhost: 7688
2022-02-26 10:25:18.171 INFO 29829 --- | main] org.vrspace.server.config.NeoConfig  : Configured database uri: file:./vrspace-test.db
2022-02-26 10:25:18.174 INFO 29829 --- | main] org.vrspace.server.config.NeoConfig  : Absolute database path:
/root/vrspace/server/vrspace-test.db
2022-02-26 10:25:18.176 INFO 29829 --- | main] org.vrspace.server.config.NeoConfig  : Starting database on bolt://localhost:7688
2022-02-26 10:26:16.328 DEBUG 29829 --- main] org.vrspace.server.core.ClassUtil : VRSpace home directory: /root/vrspace deduced
from location of org/vrspace/server/core/ClassUstil.class: file:/root/vrspace/server/target/classes/org/vrspace/server/core/ClassUtil.class
2022-02-26 10:26:31.375 INFO 29829 --- | main] org.vrspace.server.core.DBTest : Started DBTest in 98.182 seconds (JVM running for
107.36)

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 118.627 s - in org.vrspace.server.core.DBTest

2022-02-26 10:26:48.196 INFO 29829 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down...
2022-02-26 10:26:53.347 INFO 29829 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down complete
2022-02-26 10:26:53.349 INFO 29829 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Deleting database directory
/root/vrspace/server/vrspace-test.db

2022-02-26 10:26:53.463 INFO 29829 --- [ionShutdownHook] org.neo4j.driver.Driver : Closing driver instance 266196910
2022-02-26 10:26:53.496 INFO 29829 --- [ionShutdownHook] org.neo4j.driver.ConnectionPool : Closing connection pool towards
localhost:7688
[INFQO]
[INFQO] Results:

[INFO]

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0

[INFO]

[INFO]

[INFO] ------mmmmmmmmmemmme - < org.vrspace:babylon >----------------meoeeeee-
[INFO] Building babylon 0.4.5-SNAPSHOT [3/5]
[INFO] [ pom]

[INFO]

[INFQ] --m--nmesmmemneennnennn- < org.vrspace:content >------------------------—-
[INFO] Building content 0.4.5-SNAPSHOT [4/5]
[INFO] [jar]

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) content ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFQ] skip non existing resourceDirectory /root/vrspace/content/src/main/resources
[INFO] skip non existing resourceDirectory /root/vrspace/content/src/main/resources
[INFQO]

[INFQ] --- maven-compiler-plugin:3.8.1:compile (default-compile) content ---

[INFO] No sources to compile

[INFQO]

[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) content ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFQ] skip non existing resourceDirectory /root/vrspace/content/src/test/resources
[INFO]

[INFO] --- maven-compiler-plugin:3.8.1:testCompile (default-testCompile) content ---
[INFO] No sources to compile

[INFO]

[INFO] --- maven-surefire-plugin:2.22.2:test (default-test) content ---

[INFO] No tests to run.

[INFO]

[INFO] Reactor Summary:

[INFQO]

[INFO] VRSpace parent file 0.4.5-SNAPSHOT ................. SUCCESS [ 0.035 s]
[INFOJ SErver ......ccooveoeeniiieenieeeeeeeee SUCCESS [02:34 min]
[INFO] babylon .........ccccoevievenieiiiceeenees SUCCESS [ 0.003 s]
[INFOJ cONtent .....coevueerieeeeiieenee e FAILURE [ 0.170 s]
[INFO] web 0.4.5-SNAPSHOT ......ccooveiiiieeieneees SKIPPED
[INFQO]

[INFO] BUILD FAILURE

[INFQO]

[INFQ] Total time: 02:39 min

[INFO] Finished at: 2022-02-26T10:26:54-05:00
[INFQO]
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.22.2:test (default-test) on project content: No tests were
executed! (Set -DfaillfNoTests=false to ignore this error.) -> [Help 1]

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please read the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException

[ERROR]

[ERROR] After correcting the problems, you can resume the build with the command

[ERROR] mvn <goals> -rf :content

and as root in /opt/vrspace

[root@meta vrspace]# JAVA_HOME=/ustr/lib/jivm/jre-11/ mvn test -Dtest=DBTest#testWorlds
[INFO] Scanning for projects...

[INFQO]

[INFO] Reactor Build Order:

[INFQO]

[INFO] VRSpace parent file [pom]
[INFQ] server [jar]

[INFO] babylon [pom]

[INFQO] content [iar]

[INFO] web [iar]

[INFQO]

[INFQ] --m--nmemmmnemmeneeenanas < org.vrspace:parent >-------------=-----------
[INFO] Building VRSpace parent file 0.4.5-SNAPSHOT [1/5]
[INFO] [ pom ]

[INFQO]

[INFQ] ----------mmmmmemmmmeeae < OrQg.VISPACE:SEIVEr >-----m--m-nmmnmmnmmnmmmme
[INFO] Building server 0.4.5-SNAPSHOT [2/5]
[INFO] [jar]

[INFO]

[INFO] --- git-commit-id-plugin:4.0.5:revision (default) server ---
[INFO] dotGitDirectory /opt/vrspace/.git

[INFQ] Collected git.branch with value master

[INFO] --always = true

[INFO] --dirty = dirty

HNEOJ-Gellected-git-remote-origin-urhwith-value-https:/github.com/jalmasi/vrspace.qgit
HNFO} Cellected gittags-with-value

HNFO}— git-commit-id-plugin:4.0.5:revision (get-the-git-infos) server ---
[INFO] dotGitDirectory /opt/vrspace/.git

[INFO] Collected git.branch with value master

[INFO] --always = true

[INFO] --dirty = -dirty

[INFO] --abbrev = 7

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]
[INFQ] Collected git.commit.id.describe with value 5f2411f
[INFO] Collected git.commit.id.describe-short with value 5f2411f

[INFO] Collected git.commit.id.full with value 5f2411f9f462439428699dbb977e6e65022c4c6a
[INFQ] Collected git.commit.id.abbrev with value 5f2411f

[INFO] Collected git.dirty with value false

[INFO] Collected git.commit.message.full with value safe cloning

[INFO] Collected git.commit.message.short with value safe cloning

[INFO] Collected git.commit.time with value 2022-02-20T15:20:22-0500

[INFO] Collected git.commit.author.time with value 2022-02-20T15:20:22-0500

[INFO] Collected git.commit.committer.time with value 2022-02-20T15:20:22-0500

[INFO] Collected git.remote.origin.url with value https:/github.com/jalmasi/vrspace.git

[INFO] Collected git.tags with value

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a)

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFQ] Collected git.closest.tag.name with value

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.commit.count with value

[INFO] Collected git.total.commit.count with value 393

[INFQ] Collected git.local.branch.ahead with value 0

[INFO] Collected git.local.branch.behind with value 0

[INFO] Collected git.build.time with value 2022-02-26T10:30:04-0500

[INFQ] Collected git.build.version with value 0.4.5-SNAPSHOT

[INFO] Collected git.build.host with value meta.undrground.org

[INFO] including property git.tags in results

[INFQ] including property git.closest.tag.commit.count in results

[INFO] including property git.build.version in results

[INFO] including property git.commit.id.abbrev in results

[INFQ] including property git.branch in results

[INFO] including property git.build.host in results

[INFO] including property git.commit.id.describe-short in results

[INFQ] including property git.total.commit.count in results

[INFO] including property git.commit.id.describe in results

[INFO] including property git.commit.message.short in results

[INFQ] including property git.commit.committer.time in results

[INFO] including property git.commit.id.full in results

[INFO] including property git.closest.tag.name in results

[INFQ] including property git.local.branch.ahead in results

[INFO] including property git.commit.time in results

[INFO] including property git.commit.author.time in results

[INFQ] including property git.local.branch.behind in results

[INFO] including property git.build.time in results

[INFO] including property git.dirty in results

[INFQ] including property git.commit.message.full in results

[INFO] including property git.remote.origin.url in results

[INFO] Reading existing properties file [/opt/vrspace/server/target/classes/git.properties] (for module server)...
[INFO] Properties file [/opt/vrspace/server/target/classes/git.properties] is up-to-date (for module server)...
[INFO]

[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) server ---

[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 1 resource

[INFO] Copying 5 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.1:compile (default-compile) server ---

[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) server ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 2 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.1:testCompile (default-testCompile) server ---

[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] --- maven-surefire-plugin:2.22.2:test (default-test) server ---

[INFQO]
[INFO]
[INFO] TESTS
[INFQO]
[INFQO] Running org.vrspace.server.core.DBTest

SLF4J: Class path contains multiple SLF4J bindings.

SLF4J: Found binding in
[jar-file:/root/.m2/repository/ch/qos/logback/logback-classic/1.2.6/logback-classic-1.2.6.jar!/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: Found binding in [jar:file:/root/.m2/repository/org/slf4j/slf4j-nop/1.7.32/slf4j-nop-1.7.32.jar!/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.
SLF4J: Actual binding is of type [ch.qos.logback.classic.util. ContextSelectorStaticBinder]
:: Spring Boot :: (v2.5.0)
2022-02-26 10:30:14.706 INFO 30073 --- [ main] org.vrspace.server.core.DBTest : Starting DBTest using Java 11.0.14 on
meta.undrground.org with PID 30073 (started by root in /opt/vrspace/server)
2022-02-26 10:30:14.710 DEBUG 30073 --- main] org.vrspace.server.core.DBTest : Running with Spring Boot v2.5.6, Spring v5.3.12
2022-02-26 10:30:14.746 INFO 30073 --- [ main] org.vrspace.server.core.DBTest : No active profile set, falling back to default profiles:
default
2022-02-26 10:30:23.803 INFO 30073 --- [ main] org.neo4;j.driver.Driver : Direct driver instance 1064095359 created for server
address localhost: 7688
2022-02-26 10:30:28.806 INFO 30073 --- [ main] org.vrspace.server.config.NeoConfig  : Configured database uri: file:./vrspace-test.db
2022-02-26 10:30:28.807 INFO 30073 --- [ main] org.vrspace.server.config.NeoConfig  : Absolute database path:
/opt/vrspace/server/vrspace-test.db
2022-02-26 10:30:28.808 INFO 30073 --- [ main] org.vrspace.server.config.NeoConfig  : Starting database on bolt://localhost:7688
2022-02-26 10:31:12.361 DEBUG 30073 --- | main] org.vrspace.server.core.ClassUtil : VRSpace home directory: /opt/vrspace deduced
from location of org/vrspace/server/core/ClassUstil.class: file:/opt/vrspace/server/target/classes/org/vrspace/server/core/ClassUtil.class
2022-02-26 10:31:27.912 INFO 30073 --- [ main] org.vrspace.server.core.DBTest : Started DBTest in 74.435 seconds (JVM running for
79.892)

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 95.959 s - in org.vrspace.server.core.DBTest

2022-02-26 10:31:47.276 INFO 30073 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down...
2022-02-26 10:31:52.381 INFO 30073 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down complete
2022-02-26 10:31:52.383 INFO 30073 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Deleting database directory
/opt/vrspace/server/vrspace-test.db

2022-02-26 10:31:52.440 INFO 30073 --- [ionShutdownHook] org.neo4j.driver.Driver : Closing driver instance 1064095359
2022-02-26 10:31:52.471 INFO 30073 --- [ionShutdownHook] org.neo4j.driver.ConnectionPool : Closing connection pool towards
localhost:7688

[INFQO]

[INFO] Results:

[INFQO]

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0

[INFO]

[INFQO]

[INFO] -------mmmmmmmmmmeee < org.vrspace:babylon >--------------n-meeneeee-

[INFO] Building babylon 0.4.5-SNAPSHOT [3/5]

[INFO] [ pom]

[INFQO]

[INFO] ------mmmmmmmmmemmme - < org.vrspace:content >----------------=--------

[INFO] Building content 0.4.5-SNAPSHOT [4/5]

[INFQO] [jar]

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) content ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] skip non existing resourceDirectory /opt/vrspace/content/src/main/resources
[INFQ] skip non existing resourceDirectory /opt/vrspace/content/src/main/resources
[INFO]

[INFO] --- maven-compiler-plugin:3.8.1:compile (default-compile) content ---

[INFO] No sources to compile

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) content ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] skip non existing resourceDirectory /opt/vrspace/content/src/test/resources
[INFO]

[INFO] --- maven-compiler-plugin:3.8.1:testCompile (default-testCompile) content ---
[INFO] No sources to compile

[INFO]

[INFO] --- maven-surefire-plugin:2.22.2:test (default-test) content ---

[INFQO] No tests to run.

[INFO]

[INFO] Reactor Summary:

[INFQO]

[INFO] VRSpace parent file 0.4.5-SNAPSHOT ................. SUCCESS [ 0.034 s]
[INFOJ SEIVET ...tieiieieeeeeeee e SUCCESS [02:04 min]

[INFO] babylon .........ccccoereerenieereeceneees SUCCESS|[ 0.003 s]

[INFO] content .......cccooeevveneeienenceneene FAILURE [ 0.188 s]
[INFO] web 0.4.5-SNAPSHOT ......ovvveeerresereerereeeees SKIPPED
[INFO]
[INFO] BUILD FAILURE
[INFO]
[INFO] Total time: 02:09 min

[INFO] Finished at: 2022-02-26T10:31:53-05:00
[INFO]

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.22.2:test (default-test) on project content: No tests were

executed! (Set -DfaillfNoTests=false to ignore this error.) -> [Help 1]

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]

[ERROR] For more information about the errors and possible solutions, please read the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
[ERROR]

[ERRORY] After correcting the problems, you can resume the build with the command
[ERROR] mvn <goals> -rf :content

#8 - 02/26/2022 04:53 PM - Josip Almasi

OK now please run the same in any other directory, where build actually fails.
(cd server before running maven produces less noise)

#9 - 02/26/2022 05:11 PM - Nate Lager

S0, in previous attempts, /opt/vrtest is one of the places that the tests would fail.
| am trying again now using /root/vrtestfoo (one of the failed directories from my long post above).

[root@meta ~]# cd vrspacefoo/

[root@meta vrspacefoo]# cd server/

[root@meta server]# JAVA_HOME=/usr/lib/ivm/jre-11/ mvn test -Dtest=DBTest#testWorlds
[INFO] Scanning for projects...

[INFO]

[INFO] -----------mmmm e - < Org.VISPACE:ISEIVEr >-----m-m-nmmnmmmmmnmmmme
[INFO] Building server 0.4.5-SNAPSHOT

[INFO] [jar]

[INFQO]

[INFO] --- git-commit-id-plugin:4.0.5:revision (default) server ---
[INFO] dotGitDirectory /root/vrspacefoo/.git

[INFO] Collected git.branch with value master

[INFO] --always = true

[INFO] --dirty = dirty
HNEO}— git-commit-id-plugin:4.0.5:revision (get-the-git-infos) server ---
[INFO] dotGitDirectory /root/vrspacefoo/.git

[INFQ] Collected git.branch with value master

[INFO] --always = true

[INFO] --dirty = -dirty

[INFO] --abbrev = 7

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]
[INFO] Collected git.commit.id.describe with value 5f2411f-dirty

[INFO] Collected git.commit.id.describe-short with value 5f2411f-dirty
[INFQO] Collected git.commit.id.full with value 5f2411f9f462439428699dbb977e6e65022c4c6a
[INFO] Collected git.commit.id.abbrev with value 5f2411f

[INFO] Collected git.dirty with value true

[INFO] Collected git.commit.message.full with value safe cloning

[INFO] Collected git.commit.message.short with value safe cloning
[INFO] Collected git.commit.time with value 2022-02-20T15:20:22-0500
[INFQ] Collected git.commit.author.time with value 2022-02-20T15:20:22-0500
[INFO] Collected git.commit.committer.time with value 2022-02-20T15:20:22-0500
[INFO] Collected git.remote.origin.url with value https:/github.com/jalmasi/vrspace.git
[INFQ] Collected git.tags with value

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]
[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.name with value

[INFO] evalCommit is [5f2411f9f462439428699dbb977e6e65022c4c6a]
[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.commit.count with value

[INFQ] Collected git.total.commit.count with value 393

[INFO] Collected git.local.branch.ahead with value 0

[INFO] Collected git.local.branch.behind with value 0

[INFO] Collected git.build.time with value 2022-02-26T11:08:00-0500
[INFO] Collected git.build.version with value 0.4.5-SNAPSHOT

[INFO] Collected git.build.host with value meta.undrground.org

[INFO] including property git.tags in results

[INFO] including property git.closest.tag.commit.count in results

[INFO] including property git.build.version in results

[INFO] including property git.commit.id.abbrev in results

[INFO] including property git.branch in results

[INFO] including property git.build.host in results

[INFQ] including property git.commit.id.describe-short in results

[INFO] including property git.total.commit.count in results

[INFO] including property git.commit.id.describe in results

[INFQ] including property git.commit.message.short in results

[INFO] including property git.commit.committer.time in results

[INFO] including property git.commit.id.full in results

[INFQ] including property git.closest.tag.name in results

[INFO] including property git.local.branch.ahead in results

[INFO] including property git.commit.time in results

[INFQ] including property git.commit.author.time in results

05/17/2025

11/21



[INFO] including property git.local.branch.behind in results

[INFO] including property git.build.time in results

[INFQ] including property git.dirty in results

[INFO] including property git.commit.message.full in results

[INFQ] including property git.remote.origin.url in results

[INFO] Reading existing properties file [/root/vrspacefoo/server/target/classes/git.properties] (for module server)...
[INFO] Properties file [/root/vrspacefoo/server/target/classes/git.properties] is up-to-date (for module server)...
[INFQO]

[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) server ---

[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 1 resource

[INFO] Copying 5 resources

[INFQO]

[INFQ] --- maven-compiler-plugin:3.8.1:compile (default-compile) server ---

[INFO] Nothing to compile - all classes are up to date

[INFQO]

[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) server ---

[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 2 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.1:testCompile (default-testCompile) server ---

[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] --- maven-surefire-plugin:2.22.2:test (default-test) server ---

[INFQO]
[INFO]
[INFO] TESTS
[INFQO]
[INFO] Running org.vrspace.server.core.DBTest

SLF4J: Class path contains multiple SLF4J bindings.

SLF4J: Found binding in
[jar:file:/root/.m2/repository/ch/qos/logback/logback-classic/1.2.6/logback-classic-1.2.6.jar!/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: Found binding in [jar:file:/root/.m2/repository/org/slf4j/slf4j-nop/1.7.32/slf4j-nop-1.7.32.jar!/org/slIf4j/impl/StaticLoggerBinder.class]
SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.

SLF4J: Actual binding is of type [ch.qos.logback.classic.util. ContextSelectorStaticBinder]
: Spring Boot :: (v2.5.6)
2022-02-26 11:08:15.929 INFO 30306 --- [ main] org.vrspace.server.core.DBTest : Starting DBTest using Java 11.0.14 on
meta.undrground.org with PID 30306 (started by root in /root/vrspacefoo/server)
2022-02-26 11:08:15.936 DEBUG 30306 --- [ main] org.vrspace.server.core.DBTest : Running with Spring Boot v2.5.6, Spring v5.3.12
2022-02-26 11:08:15.991 INFO 30306 --- [ main] org.vrspace.server.core.DBTest : No active profile set, falling back to default profiles:
default
2022-02-26 11:08:30.813 INFO 30306 --- [ main] org.neo4;j.driver.Driver : Direct driver instance 1064095359 created for server
address localhost: 7688
2022-02-26 11:08:38.666 INFO 30306 --- [ main] org.vrspace.server.config.NeoConfig  : Configured database uri: file:./vrspace-test.db
2022-02-26 11:08:38.668 INFO 30306 --- [ main] org.vrspace.server.config.NeoConfig  : Absolute database path:
/root/vrspacefoo/server/vrspace-test.db
2022-02-26 11:08:38.670 INFO 30306 --- [ main] org.vrspace.server.config.NeoConfig  : Starting database on bolt://localhost:7688
2022-02-26 11:09:35.788 DEBUG 30306 --- | main] org.vrspace.server.core.ClassUtil : VRSpace home directory: /root/vrspacefoo deduced
from location of org/vrspace/server/core/ClassUstil.class: file:/root/vrspacefoo/server/target/classes/org/vrspace/server/core/ClassUtil.class
2022-02-26 11:09:50.895 INFO 30306 --- [ main] org.vrspace.server.core.DBTest : Started DBTest in 97.053 seconds (JVM running for
105.618)

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 117.454 s - in org.vrspace.server.core.DBTest

2022-02-26 11:10:08.034 INFO 30306 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down...
2022-02-26 11:10:13.168 INFO 30306 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Database shutting down complete
2022-02-26 11:10:13.169 INFO 30306 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig  : Deleting database directory
/root/vrspacefoo/server/vrspace-test.db

2022-02-26 11:10:13.244 INFO 30306 --- [ionShutdownHook] org.neo4j.driver.Driver : Closing driver instance 1064095359
2022-02-26 11:10:13.249 INFO 30306 --- [ionShutdownHook] org.neo4j.driver.ConnectionPool : Closing connection pool towards
localhost:7688

[INFO]

[INFQO] Results:

[INFO]

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0

[INFQO]
[INFO]
[INFO] BUILD SUCCESS
[INFQO]
[INFQ] Total time: 02:32 min

[INFO] Finished at: 2022-02-26T11:10:13-05:00
[INFQO]
[root@meta server]#@

#10 - 02/26/2022 05:26 PM - Josip Almasi

OK that makes sense, kind of. | don't see what directory has to do with it, but some other test may have left some garbage behind that these tests
don't expect.

I've identified couple of test that actually lack @Transactional annotation.

There's one in DBTest, but it doesn't insert anything, others are all in SessionManagerTest.

So please try

mvn test -Dtest=DBTest
BTW | have reproduced this /tmp/spring.log thing, interesting :)

#11 - 02/26/2022 05:34 PM - Nate Lager

the test that usually fails is the CountUsers test. So | also ran that from the server directory in one of my broken trees, and it also appears to have
succeeded. Is this expected?

Going back to putting output in text docs on my nextcloud, since redmine is murdering the formatting. Let me know if thats not helpful.

https://nextcloud.undrground.org/index.php/s/kFCY2tN3JDgm7rL

And then, for fun i ran the same test from the root of the vrspace tree, /root/vrspacefoo (again, one of the "clean install" test fail directories same tree
that | ran the above test in /server) and it failed!

that output is here: https:/nextcloud.undrground.org/index.php/s/XzbDnizXT3B7A8S

#12 - 02/26/2022 05:44 PM - Josip Almasi

Well no, expected is for all tests to pass :)
| don't mind you posting nextcloud links to, but it takes forever to load, and then | get 504 Gateway Time-out nginx/1.14.1.
Redmine formatting trick: whatever you put between < pre > and < /pre >
keeps formatting
(skip spaces)
There's also Preview button.
#13 - 02/26/2022 07:56 PM - Nate Lager
Gateway timeouts? Thats weird, i've been using it all morning no issues.. Hm.
| didnt know redmine supported HTML pre tags, ill use them. Here's the output from the last attempts then.
The first run, from comment 11(run as root, from the "broken" directory tree, in /server)

[root@meta server]# JAVA_HOME=/usr/lib/jvm/jre-11/ mvn test -Dtest=DBTest#testCountUsers
[INFO] Scanning for projects...

[INFO]

[INFO] < org.vrspace:server >

[INFO] Building server 0.4.5-SNAPSHOT

[TNFY)] =——rr———eeeeeeeeee o= [ JaR ] oo ererereemeeeeee—e———s
[INFO]

[INFO] --- git-commit-id-plugin:4.0.5:revision (default) @ server --—-

[INFO] dotGitDirectory /root/vrspacefoo/.git
[INFO] Collected git.branch with value master

[INFO] --always = true
[INFO] --dirty = -dirty
[INFO] —--abbrev = 7
[INFO] Tag refs [[]]
[INFO] Created map: [{}]

[INFO] evalCommit is [5f2411£9f462439428699dbb977e6e65022c4c6al

[INFO] Collected git.commit.id.describe with value 5f2411f-dirty

[INFO] Collected git.commit.id.describe-short with value 5f2411f-dirty

[INFO] Collected git.commit.id.full with value 5f2411f9f462439428699dbb977e6e65022c4cba
[INFO] Collected git.commit.id.abbrev with value 5f2411f

[INFO] Collected git.dirty with value true

[INFO] Collected git.commit.message.full with value safe cloning

[INFO] Collected git.commit.message.short with value safe cloning

[INFO] Collected git.commit.time with value 2022-02-20T15:20:22-0500

[INFO] Collected git.commit.author.time with value 2022-02-20T15:20:22-0500
[INFO] Collected git.commit.committer.time with value 2022-02-20T15:20:22-0500
[INFO] Collected git.remote.origin.url with value https://github.com/jalmasi/vrspace.git
[INFO] Collected git.tags with wvalue

[INFO] evalCommit is [5f2411£9£462439428699dbb977e6e65022c4cbal

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.name with value

[INFO] evalCommit is [5f2411£9f462439428699dbb977e6e65022c4cba]

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.commit.count with value

[INFO] Collected git.total.commit.count with value 393

[INFO] Collected git.local.branch.ahead with value 0

[INFO] Collected git.local.branch.behind with value 0

[INFO] Collected git.build.time with value 2022-02-26T11:18:08-0500

[INFO] Collected git.build.version with value 0.4.5-SNAPSHOT

[INFO] Collected git.build.host with value meta.undrground.org

[INFO] including property git.tags in results

[INFO] including property git.closest.tag.commit.count in results

[INFO] including property git.build.version in results

[INFO] including property git.commit.id.abbrev in results

[INFO] including property git.branch in results

[INFO] including property git.build.host in results

[INFO] including property git.commit.id.describe-short in results

[INFO] including property git.total.commit.count in results

[INFO] including property git.commit.id.describe in results

[INFO] including property git.commit.message.short in results

[INFO] including property git.commit.committer.time in results

[INFO] including property git.commit.id.full in results

[INFO] including property git.closest.tag.name in results

[INFO] including property git.local.branch.ahead in results

[INFO] including property git.commit.time in results

[INFO] including property git.commit.author.time in results

[INFO] including property git.local.branch.behind in results

[INFO] including property git.build.time in results

[INFO] including property git.dirty in results

[INFO] including property git.commit.message.full in results

[INFO] including property git.remote.origin.url in results

[INFO] Reading existing properties file [/root/vrspacefoo/server/target/classes/git.properties] (for module se
rver)...

[INFO] Properties file [/root/vrspacefoo/server/target/classes/git.properties] is up-to-date (for module serve
i2) 0 0o

[INFO]

[INFO] --- git-commit-id-plugin:4.0.5:revision (get-the-git-infos) @ server ——-—
[INFO] dotGitDirectory /root/vrspacefoo/.git

[INFO] Collected git.branch with value master

[INFO] --always = true
[INFO] --dirty = -dirty
[INFO] —-—-abbrev = 7

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] evalCommit is [5f2411£f9f462439428699dbb977e6e65022c4cbal]

[INFO] Collected git.commit.id.describe with value 5f2411f-dirty

[INFO] Collected git.commit.id.describe-short with value 5f2411f-dirty

[INFO] Collected git.commit.id.full with value 5f2411£9f462439428699dbb977e6e65022c4cba
[INFO] Collected git.commit.id.abbrev with value 5f2411f

[INFO] Collected git.dirty with value true

[INFO] Collected git.commit.message.full with value safe cloning

[INFO] Collected git.commit.message.short with value safe cloning

[INFO] Collected git.commit.time with value 2022-02-20T15:20:22-0500

[INFO] Collected git.commit.author.time with value 2022-02-20T15:20:22-0500

[INFO] Collected git.commit.committer.time with value 2022-02-20T15:20:22-0500

[INFO] Collected git.remote.origin.url with value https://github.com/jalmasi/vrspace.git
[INFO] Collected git.tags with value

[INFO] evalCommit is [5f2411£9f462439428699dbb977e6e65022c4cba]

[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.name with value

[INFO] evalCommit is [5f2411£f9f462439428699dbb977e6e65022c4cbal
[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.commit.count with value

[INFO] Collected git.total.commit.count with value 393

[INFO] Collected git.local.branch.ahead with value 0

[INFO] Collected git.local.branch.behind with value 0

[INFO] Collected git.build.time with value 2022-02-26T11:18:09-0500
[INFO] Collected git.build.version with value 0.4.5-SNAPSHOT

[INFO] Collected git.build.host with value meta.undrground.org
[INFO] including property git.tags in results

[INFO] including property git.closest.tag.commit.count in results
[INFO] including property git.build.version in results

[INFO] including property git.commit.id.abbrev in results

[INFO] including property git.branch in results

[INFO] including property git.build.host in results

[INFO] including property git.commit.id.describe-short in results
[INFO] including property git.total.commit.count in results

[INFO] including property git.commit.id.describe in results

[INFO] including property git.commit.message.short in results
[INFO] including property git.commit.committer.time in results
[INFO] including property git.commit.id.full in results

[INFO] including property git.closest.tag.name in results

[INFO] including property git.local.branch.ahead in results

[INFO] including property git.commit.time in results

[INFO] including property git.commit.author.time in results

[INFO] including property git.local.branch.behind in results

[INFO] including property git.build.time in results

[INFO] including property git.dirty in results

[INFO] including property git.commit.message.full in results

[INFO] including property git.remote.origin.url in results

[INFO] Reading existing properties file [/root/vrspacefoo/server/target/classes/git.properties] (for module se
rver) ...

[INFO] Properties file [/root/vrspacefoo/server/target/classes/git.properties] is up-to-date (for module serve
iZ) 6 0o

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) @ server ——-—
[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.
[INFO] Copying 1 resource

[INFO] Copying 5 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.1l:compile (default-compile) @ server —-—-—

[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) @ server —--—-—

[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 2 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.l:testCompile (default-testCompile) @ server —---
[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] —--- maven-surefire-plugin:2.22.2:test (default-test) @ server —--—-—

[INFO]
[INFO]
[INFO] TESTS

[INFO] ——— o

[INFO] Running org.vrspace.server.core.DBTest

SLF4J: Class path contains multiple SLF4J bindings.

SLF4J: Found binding in [jar:file:/root/.m2/repository/ch/gos/logback/logback-classic/1.2.6/logback-classic-1.

2.6.jar!/org/slf4j/impl/StaticLoggerBinder.class]

SLF4J: Found binding in [jar:file:/root/.m2/repository/org/slfdj/slf4j-nop/1.7.32/slf4j-nop-1.7.32.jar!/org/sl
f43/impl/StaticLoggerBinder.class]

SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.

SLF4J: Actual binding is of type [ch.gos.logback.classic.util.ContextSelectorStaticBinder]

o (O NN AN
¢ (N [ R AV [ N U N
ool N, S
1 | /=/_/_/_/
Spring Boot :: (v2.5.6)
2022-02-26 11:18:25.833 INFO 30852 --—- [ main] org.vrspace.server.core.DBTest : Starting
DBTest using Java 11.0.14 on meta.undrground.org with PID 30852 (started by root in /root/vrspacefoo/server)

2022-02-26 11:18:25.859 DEBUG 30852 --—- [ main] org.vrspace.server.core.DBTest : Running w
ith Spring Boot v2.5.6, Spring v5.3.12

2022-02-26 11:18:25.871 INFO 30852 --—- [ main] org.vrspace.server.core.DBTest : No active
profile set, falling back to default profiles: default

2022-02-26 11:18:39.761 INFO 30852 --—- [ main] org.neo4j.driver.Driver : Direct dr
iver instance 1064095359 created for server address localhost:7688

2022-02-26 11:18:47.471 INFO 30852 --—- [ main] org.vrspace.server.config.NeoConfig : Configure
d database uri: file:./vrspace-test.db

2022-02-26 11:18:47.500 INFO 30852 --—- [ main] org.vrspace.server.config.NeoConfig : Absolute
database path: /root/vrspacefoo/server/vrspace-test.db

2022-02-26 11:18:47.501 1INFO 30852 —--—- [ main] org.vrspace.server.config.NeoConfig : Starting
database on bolt://localhost:7688

2022-02-26 11:19:46.374 DEBUG 30852 --—- [ main] org.vrspace.server.core.ClassUtil VRSpace h

ome directory: /root/vrspacefoo deduced from location of org/vrspace/server/core/ClassUtil.class: file:/root/v
rspacefoo/server/target/classes/org/vrspace/server/core/ClassUtil.class

2022-02-26 11:20:00.984 INFO 30852 —-—— [ main] org.vrspace.server.core.DBTest : Started D
BTest in 97.357 seconds (JVM running for 106.553)

[WorldStatus (worldName=one, activeUsers=1, totalUsers=2), WorldStatus (worldName=two, activeUsers=0, totalUsers
=0)1

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 122.604 s - in org.vrspace.server.core.
DBTest

2022-02-26 11:20:22.622 INFO 30852 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig : Database

shutting down...

2022-02-26 11:20:27.729 INFO 30852 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig : Database

shutting down complete

2022-02-26 11:20:27.730 1INFO 30852 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig : Deleting

database directory /root/vrspacefoo/server/vrspace-test.db

2022-02-26 11:20:27.799 INFO 30852 --- [ionShutdownHook] org.neo4j.driver.Driver : Closing d
river instance 1064095359

2022-02-26 11:20:27.808 INFO 30852 --- [ionShutdownHook] org.neo4j.driver.ConnectionPool : Closing c
onnection pool towards localhost:7688

[INFO]

[INFO] Results:

[INFO]

[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: O

[INFO]

[INFO]

[INFO] BUILD SUCCESS

[INFO]

[INFO] Total time: 02:35 min
[INFO] Finished at: 2022-02-26T11:20:28-05:00
[INFO]

And the second one, run in the root of the broken tree.

[root@meta serverl# pwd

/root/vrspacefoo/server

[root@meta server]# cd

[root@meta vrspacefool]l# JAVA_HOME=/usr/lib/jvm/jre-11/ mvn test -Dtest=DBTest#testCountUsers
[INFO] Scanning for projects...

[INFO]
[INFO] Reactor Build Order:

[INFO]

[INFO] VRSpace parent file [pom]
[INFO] server [Jar]
[INFO] babylon [pom]
[INFO] content [Jjar]
[INFO] web [jar]
[INFO]

[INFO] < org.vrspace:parent >
[INFO] Building VRSpace parent file 0.4.5-SNAPSHOT [1/5]
[INFO] —-—————————— - ———————— [ pom J-——————————
[INFO]

[INFO] < org.vrspace:server >
[INFO] Building server 0.4.5-SNAPSHOT [2/5]
[INFO] [ jar 1
[INFO]

[INFO] --- git-commit-id-plugin:4.0.5:revision (default) @ server --—-
[INFO] dotGitDirectory /root/vrspacefoo/.git

[INFO] Collected git.branch with value master

[INFO] --always = true
[INFO] --dirty = -dirty
[INFO] —--abbrev = 7

[INFO] Tag refs [[]]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]

Created map:
evalCommit is

Collected git.
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.

Collected git
evalCommit is
Tag refs [[]]
Created map:

evalCommit is
Tag refs [[]]

Created map:

Collected git

[{}H]

[5£2411£9f462439428699dbb977e6e65022c4cbal
commit.id.describe with value 5f2411f-dirty
commit.id.describe-short with value 5f2411f-dirty

commit.id.full with value 5f2411£9£462439428699dbb977e6e65022c4cba

commit.id.abbrev with value 5£2411f

dirty with value true

commit.message.full with value safe cloning
commit.message.short with value safe cloning

commit.time with value 2022-02-20T15:20:22-0500
commit.author.time with value 2022-02-20T15:20:22-0500
commit.committer.time with value 2022-02-20T15:20:22-0500

remote.origin.url with value https://github.com/jalmasi/vrspace.git
.tags with value

[5£2411£9f462439428699dbb977e6e65022c4cbal

[{}]
Collected git.

closest.tag.name with value
[5f2411£9f462439428699dbb977e6e65022c4cba]

[{}]
Collected git.
.total.commit.count with value 393
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.

closest.tag.commit.count with value

local.branch.ahead with value 0
local.branch.behind with value 0

build.time with value 2022-02-26T11:23:29-0500
build.version with value 0.4.5-SNAPSHOT
build.host with value meta.undrground.org

including property git.tags in results
including property git.closest.tag.commit.count in results

including property git.build.version in results
including property git.commit.id.abbrev in results
including property git.branch in results

including property git.build.host in results
including property git.commit.id.describe-short in results
including property git.total.commit.count in results

including property git.commit.id.describe in results
including property git.commit.message.short in results
including property git.commit.committer.time in results

including property git.commit.id.full in results
including property git.closest.tag.name in results
including property git.local.branch.ahead in results

including property git.commit.time in results
including property git.commit.author.time in results
including property git.local.branch.behind in results

including property git.build.time in results
including property git.dirty in results
including property git.commit.message.full in results

including property git.remote.origin.url in results

Reading existing properties file

rver) ...

[INFO]
r)...

[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]
[INFO]

Properties file [/root/vrspacefoo/server/target/classes/git.properties]

——— git-commit-id-plugin:4.0.5:revision (get-the-git-infos) @ server —--—-—

dotGitDirectory /root/vrspacefoo/.git

Collected git.

branch with value master

——always = true

—-—-dirty = -dirty
—-—abbrev = 7
Tag refs [[]]

Created map:
evalCommit is

Collected git.
Collected git.
Collected git.
Collected git.
.dirty with value true
Collected git.
Collected git.
Collected git.
Collected git.
Collected git.
.remote.origin.url with value https://github.com/jalmasi/vrspace.git
Collected git.

Collected git

Collected git

05/17/2025

[{}1]

[5£2411£9f462439428699dbb977e6e65022c4cba]
commit.id.describe with value 5f2411f-dirty
commit.id.describe-short with value 5f2411f-dirty

commit.id.full with value 5f2411£f9f462439428699dbb977e6e65022c4cba

commit.id.abbrev with value 5f2411f

commit.message.full with value safe cloning
commit.message.short with value safe cloning

commit.time with value 2022-02-20T15:20:22-0500
commit.author.time with value 2022-02-20T15:20:22-0500
commit.committer.time with value 2022-02-20T15:20:22-0500

tags with value

[/root/vrspacefoo/server/target/classes/git.properties]

is up-to-date

(for module se

(for module serve
[INFO] evalCommit is [5f2411£f9f462439428699dbb977e6e65022c4cbal]
[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.name with value

[INFO] evalCommit is [5f2411£9f462439428699dbb977e6e65022c4cba]
[INFO] Tag refs [[]]

[INFO] Created map: [{}]

[INFO] Collected git.closest.tag.commit.count with value

[INFO] Collected git.total.commit.count with value 393

[INFO] Collected git.local.branch.ahead with value 0

[INFO] Collected git.local.branch.behind with value 0

[INFO] Collected git.build.time with value 2022-02-26T11:23:30-0500
[INFO] Collected git.build.version with value 0.4.5-SNAPSHOT
[INFO] Collected git.build.host with value meta.undrground.org
[INFO] including property git.tags in results

[INFO] including property git.closest.tag.commit.count in results
[INFO] including property git.build.version in results

[INFO] including property git.commit.id.abbrev in results

[INFO] including property git.branch in results

[INFO] including property git.build.host in results

[INFO] including property git.commit.id.describe-short in results
[INFO] including property git.total.commit.count in results
[INFO] including property git.commit.id.describe in results
[INFO] including property git.commit.message.short in results
[INFO] including property git.commit.committer.time in results
[INFO] including property git.commit.id.full in results

[INFO] including property git.closest.tag.name in results

[INFO] including property git.local.branch.ahead in results
[INFO] including property git.commit.time in results

[INFO] including property git.commit.author.time in results
[INFO] including property git.local.branch.behind in results
[INFO] including property git.build.time in results

[INFO] including property git.dirty in results

[INFO] including property git.commit.message.full in results
[INFO] including property git.remote.origin.url in results

[INFO] Reading existing properties file [/root/vrspacefoo/server/target/classes/git.properties] (for module se
rver)...

[INFO] Properties file [/root/vrspacefoo/server/target/classes/git.properties] is up-to-date (for module serve
i2) 0 0o

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) @ server —--—-—
[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.
[INFO] Copying 1 resource

[INFO] Copying 5 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.l:compile (default-compile) @ server ——-—

[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) @ server —--—-—

[INFO] Using 'UTF-8' encoding to copy filtered resources.

[INFO] Using 'UTF-8' encoding to copy filtered properties files.

[INFO] Copying 2 resources

[INFO]

[INFO] --- maven-compiler-plugin:3.8.l:testCompile (default-testCompile) @ server —---—
[INFO] Nothing to compile - all classes are up to date

[INFO]

[INFO] --- maven-surefire-plugin:2.22.2:test (default-test) @ server —-—-

[INFO]

[INFO] —m—mmmmmm e e

[INFO] TESTS

[INFO]
[INFO] Running org.vrspace.server.core.DBTest

SLF4J: Class path contains multiple SLF4J bindings.

SLF4J: Found binding in [Jar:file:/root/.m2/repository/ch/gos/logback/logback-classic/1.2.6/logback-classic-1.
2.6.jar!/org/slf4j/impl/StaticLoggerBinder.class]

SLF4J: Found binding in [jar:file:/root/.m2/repository/org/slf4j/slfd4j-nop/1.7.32/slf4j-nop-1.7.32.jar!/org/sl
f4j/impl/StaticLoggerBinder.class]

SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.

SLF4J: Actual binding is of type [ch.gos.logback.classic.util.ContextSelectorStaticBinder]
Spring Boot :: (v2.5.6)
2022-02-26 11:23:46.006 INFO 31094 -—- [ main] org.vrspace.server.core.DBTest Starting
DBTest using Java 11.0.14 on meta.undrground.org with PID 31094 (started by root in /root/vrspacefoo/server)
2022-02-26 11:23:46.047 DEBUG 31094 —-—— [ main] org.vrspace.server.core.DBTest Running w
ith Spring Boot v2.5.6, Spring v5.3.12
2022-02-26 11:23:46.130 INFO 31094 —-—- [ main] org.vrspace.server.core.DBTest No active
profile set, falling back to default profiles: default
2022-02-26 11:24:00.685 INFO 31094 —-—— [ main] org.neo4j.driver.Driver Direct dr
iver instance 1064095359 created for server address localhost:7688
2022-02-26 11:24:08.511 INFO 31094 -—- [ main] org.vrspace.server.config.NeoConfig Configure
d database uri: file:./vrspace-test.db
2022-02-26 11:24:08.514 INFO 31094 —-—— [ main] org.vrspace.server.config.NeoConfig Absolute
database path: /root/vrspacefoo/server/vrspace-test.db
2022-02-26 11:24:08.515 1INFO 31094 -—- [ main] org.vrspace.server.config.NeoConfig Starting
database on bolt://localhost:7688
2022-02-26 11:25:03.863 DEBUG 31094 -—— [ main] org.vrspace.server.core.ClassUtil VRSpace h

ome directory:

rspacefoo/server/target/classes/org/vrspace/server/core/ClassUtil.class

/root/vrspacefoo deduced from location of org/vrspace/server/core/ClassUtil.class:

fil

e:/root/v

2022-02-26 11:25:19.344 INFO 31094 -—— [ main] org.vrspace.server.core.DBTest Started D
BTest in 95.312 seconds (JVM running for 104.274)
[WorldStatus (worldName=one, activeUsers=1, totalUsers=2), WorldStatus (worldName=two, activeUsers=0, totalUsers
=0)]
[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 120.327 s - in org.vrspace.server.core.
DBTest
2022-02-26 11:25:40.889 INFO 31094 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig Database
shutting down...
2022-02-26 11:25:46.020 INFO 31094 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig Database
shutting down complete
2022-02-26 11:25:46.022 INFO 31094 --- [ionShutdownHook] org.vrspace.server.config.NeoConfig Deleting
database directory /root/vrspacefoo/server/vrspace-test.db
2022-02-26 11:25:46.089 INFO 31094 --- [ionShutdownHook] org.neo4j.driver.Driver Closing d
river instance 1064095359
2022-02-26 11:25:46.093 INFO 31094 --- [ionShutdownHook] org.neo4j.driver.ConnectionPool Closing c
onnection pool towards localhost:7688
[INFO]
[INFO] Results:
[INFO]
[INFO] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0
[INFO]
[INFO]
[INFO] < org.vrspace:babylon >
[INFO] Building babylon 0.4.5-SNAPSHOT [3/5]
[INFO] [ pom ]
[INFO]
[TNFO] =———————————e———ee—e=——e < org.vrspace:content >------------""""""-""-———-
[INFO] Building content 0.4.5-SNAPSHOT [4/5]
[INFO] [ jar 1
[INFO]
[INFO] --- maven-resources-plugin:3.2.0:resources (default-resources) @ content —--—-—
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Using 'UTF-8' encoding to copy filtered properties files.
[INFO] skip non existing resourceDirectory /root/vrspacefoo/content/src/main/resources
[INFO] skip non existing resourceDirectory /root/vrspacefoo/content/src/main/resources
[INFO]
[INFO] --- maven-compiler-plugin:3.8.1l:compile (default-compile) @ content --—-—
[INFO] No sources to compile
[INFO]
[INFO] --- maven-resources-plugin:3.2.0:testResources (default-testResources) @ content —--—-—
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Using 'UTF-8' encoding to copy filtered properties files.
[INFO] skip non existing resourceDirectory /root/vrspacefoo/content/src/test/resources
[INFO]
[INFO] --- maven-compiler-plugin:3.8.1l:testCompile (default-testCompile) @ content —---—
[INFO] No sources to compile
[INFO]
[INFO] --- maven-surefire-plugin:2.22.2:test (default-test) @ content -—-
[INFO] No tests to run.
[INFO]
[INFO] Reactor Summary:
[INFO]
[INFO] VRSpace parent file 0.4.5-SNAPSHOT ........ociivununun. SUCCESS [ 0.035 s]
[INFO] SEIVEL vttt ittt ettt ettt et e et et eeseeneeneeneenenns SUCCESS [02:30 min]
[INFO] babylon ittt ittt ettt ittt eennnnnnneeesns SUCCESS [ 0.002 s]

[INFO] CONLENE vt ittt ittt et e e et e e et ettt et eeeeeeeseeenens FAILURE [ 0.209 s]
[INFO] web 0.4.5-SNAPSHOT ..t tiititttttetentnnennennenns SKIPPED

[INFO] —mmmmmm oo
[INFO] BUILD FAILURE

[INFO] —mmm oo oo

[INFO] Total time: 02:35 min
[INFO] Finished at: 2022-02-26T11:25:46-05:00

[INFO] oo
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.22.2:test (default-test) on pr
oject content: No tests were executed! (Set -DfailIfNoTests=false to ignore this error.) -> [Help 1]

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the —-e switch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException

[ERROR]

[ERROR] After correcting the problems, you can resume the build with the command

[ERROR] mvn <goals> -rf :content

#14 - 02/27/2022 07:31 PM - Josip Almasi

So it passes :)

| suspected that other tests do not clean up the garbage, and that seems to be true.
Debugging this | found out that count(*) database operation doesn't work as expected, that led me to error in data model:

https://github.com/jalmasi/vrspace/commit/f5871bae796983985e1ea5bfa60f28db57ea9f14
)

Many thanks Nate!

And some database garbage collection etc.
But that is only about tests, regression when moving from embedded neo4j driver to bolt; not that | wanted to, they dropped support.

In my case different test combination did not work:
mvn test -Dtest=SessionManagerTest#testAddRemove,SessionManagerTest#testMulticast

So my best guess is that it might work for you now.

#15 - 03/01/2022 04:56 AM - Nate Lager

well im glad to hear my attempts at building the project had some positive effects. :D | just pulled a fresh copy of the git repo, and i am trying to build
it as my user (which was failing before). Still looks like I'm getting the same dbtest.testcountusers and testworlds errors. is there something | should
try cleaning up first?

#16 - 03/01/2022 02:56 PM - Josip Almasi

Dang :)

| need to figure out how to reproduce this...

Nah, mvn clean makes sure it's all clean.

#17 - 03/01/2022 04:59 PM - Nate Lager

| did try a completely new git clone as well, to make sure | hadnt somehow mucked up the code in my testing, same error. | can get you output if
needed, but im pretty certain its the same error.

#18 - 03/21/2022 07:46 PM - Josip Almasi
- Assignee set to Josip Almasi

- Status changed from New to In Progress
| have it reproduced finally

#19 - 03/21/2022 08:30 PM - Josip Almasi

- Status changed from In Progress to Resolved

Fix pushed, confirm please?
As suspected, SessionManagerTest was leaving garbage after itself - default world created automatically and transparently by WorldManager.
So SessionManagerTest now cleans it up.
https://github.com/jalmasi/vrspace/commit/f5871bae796983985e1ea5bfa60f28db57ea9f14

#20 - 03/28/2022 08:33 PM - Nick Naglich

Looks good. | pulled the new code from github and made an image that doesn't give any errors when compiling.

#21 - 03/28/2022 09:12 PM - Josip Almasi

- Status changed from Resolved to Closed

Great, thanks Nick! :)
